RV Products Forums: Expat for Python: Not found - RV Products Forums

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

Expat for Python: Not found

#1 User is offline   lemon11 

  • Newbie
  • Pip
  • Group: Members
  • Posts: 1
  • Joined: 28-May 11

Posted 28 May 2011 - 12:58 PM

# perl /root/rvadmin/installsubversion.pl
Welcome to Subversion/Trac for RVSkin Installer!
It will setup the subversion/trac for cPanel and create an appropriate config file. This Subversion/Trac will only work on RVSkin theme.

cPanel version: 11.30.0.21
Server machine: x86_64
Python: /usr/bin/python2.4
Python version: 2.4.3
Python includes: /usr/include/python2.4
Python site-packages: /usr/lib/python2.4/site-packages
Apache: /usr/local/apache
Apache: /usr/local/apache
Apache version: 2.2.19 (ok)
Expat for Python: Not found
Expat for Apache: 1.95.8
The expat library for python and for apache has NOT match.
The expat library for python and for apache not match!!



How do I activate Trac and Subversion?
0

#2 User is offline   lausunmacet 

  • Newbie
  • Pip
  • Group: Members
  • Posts: 9
  • Joined: 13-August 10

Posted 31 May 2011 - 10:18 PM

I have the same problem with our new server. :(
0

#3 User is offline   lausunmacet 

  • Newbie
  • Pip
  • Group: Members
  • Posts: 9
  • Joined: 13-August 10

Posted 09 June 2011 - 02:36 AM

I just updated to newest version. I still get this:

root@server [~]# perl /root/rvadmin/installsubversion.pl
Welcome to Subversion/Trac for RVSkin  Installer!
It will setup the subversion/trac for cPanel and create an appropriate config file. This Subversion/Trac will only work on RVSkin theme.

cPanel version: 11.30.0.27
Server machine: x86_64
Python: /usr/bin/python2.4
Python version: 2.4.3
Python includes: /usr/include/python2.4
Python site-packages: /usr/lib/python2.4/site-packages
Apache: /usr/local/apache
Apache: /usr/local/apache
Apache version: 2.2.19 (ok)
Expat for Python: Not found
Expat for Apache: 1.95.8
The expat library for python and for apache has NOT match.
The expat library for python and for apache not match!!
root@server [~]#


How to resolve this issue? Please.
0

#4 User is offline   Media Post Inc. 

  • Newbie
  • Pip
  • Group: Members
  • Posts: 4
  • Joined: 24-June 11

Posted 24 June 2011 - 10:20 PM

I have the same problem aswell

root@odin [~/rvadmin]# perl /root/rvadmin/installsubversion.pl
Welcome to Subversion/Trac for RVSkin  Installer!
It will setup the subversion/trac for cPanel and create an appropriate config file. This Subversion/Trac will only work on RVSkin theme.

cPanel version: 11.30.0.32
Server machine: i686
Python: /usr/bin/python2.4
Python version: 2.4.3
Python includes: /usr/include/python2.4
Python site-packages: /usr/lib/python2.4/site-packages
Apache: /usr/local/apache
Apache: /usr/local/apache
Apache version: 2.2.17 (ok)
Expat for Python: Not found
Expat for Apache: 1.95.8
The expat library for python and for apache has NOT match.
The expat library for python and for apache not match!!

0

#5 User is offline   Media Post Inc. 

  • Newbie
  • Pip
  • Group: Members
  • Posts: 4
  • Joined: 24-June 11

Posted 25 June 2011 - 02:54 AM

I found this online. It did NOT work for me. However maybe it will work for someone else.

Quote

July 13, 2010
|
Web Hosting

Last night I tried to install the RVSkin Subversion/Trac integration using the provided installsubversion.pl script, and got the following output:

cPanel version: 11.25.0-RELEASE_46156

Server machine: i686

Python: /usr/bin/python2.4

Python version: 2.4.3

Python includes: /usr/include/python2.4

Python site-packages: /usr/lib/python2.4/site-packages

Apache: /usr/local/apache

Apache: /usr/local/apache

Apache version: 2.2.14 (ok)

Expat for Python: Not found

Expat for Apache: Not found

The expat library for python and for apache has NOT match.

Find not found httpd load expat.

It turns out that RVSkin will not install Subversion/Trac unless Apache is your web server. I was using Litespeed, so I needed to switch back to Apache to get the script to run. After running the script, I switched back to Litespeed and everything worked just fine. And while I could have just as easily installed Subversion from the command line, I have RVSkin and it should have worked, so I wasn’t going to give up that easy. Anyway, hopefully this helps someone else that has the same issue since I couldn’t find anything via Google on the subject.


0

#6 User is offline   DeanClinton 

  • Newbie
  • Pip
  • Group: Members
  • Posts: 2
  • Joined: 19-May 09

Posted 27 June 2011 - 11:43 PM

I've had a ticket in for days regarding this also; support hasn't replied.

Wondering if RVSkin has hit problems.

Edit: I don't know what support did, but it's working now :)
0

#7 User is offline   VicToMeyeZR 

  • Newbie
  • Pip
  • Group: Members
  • Posts: 9
  • Joined: 24-May 10

Posted 04 July 2011 - 10:30 AM

This is actually quite PATHETIC they won't respond to this...

Great job there guys.
0

#8 User is offline   amarin 

  • Advanced Member
  • PipPipPip
  • Group: Members
  • Posts: 94
  • Joined: 21-February 07

Posted 19 December 2011 - 03:15 PM

Please fix it using below instructions.

1. Force update rvskin

rm -f /usr/local/cpanel/Cpanel/rvversion

perl /root/rvadmin/auto_rvskin.pl

2. Run installer again

perl /root/rvadmin/installsubversion.pl
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic